---
title: Delete a Content Scanning custom expression from a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Content Scanning](https://developers.cloudflare.com/api/go/resources/content_scanning)

[Payloads](https://developers.cloudflare.com/api/go/resources/content_scanning/subresources/payloads)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a Content Scanning custom expression from a zone.

client.ContentScanning.Payloads.Delete(ctx, expressionID, body) (\*SinglePage\[[PayloadDeleteResponse](<https://developers.cloudflare.com/api/go/resources/content_scanning#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadDeleteResponse%20%3E%20(schema)>)], error)

DELETE/zones/{zone\_id}/content-upload-scan/payloads/{expression\_id}

Delete the Content Scanning custom expression with the given identifier and return the expressions that remain. Content objects reached only by the deleted expression are no longer scanned.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Account WAF Write`

##### ParametersExpand Collapse

expressionID string

Defines the unique ID for this Content Scanning custom expression.

maxLength32

[Link to this property](<#(resource)%20content_scanning.payloads%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20expression_id%20%3E%20(schema)>)

<details>

<summary>

body PayloadDeleteParams

</summary>

ZoneID param.Field\[string]

Defines an identifier.

maxLength32

<a href="#(resource)%20content_scanning.payloads%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning.payloads%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PayloadDeleteResponse struct{…}

Defines a Content Scanning custom expression.

</summary>

ID stringOptional

Defines the unique ID for this Content Scanning custom expression.

maxLength32

<a href="#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Payload stringOptional

Defines the custom content extraction expression used to reach content objects in the request.

<a href="#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20payload">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadDeleteResponse%20%3E%20(schema)>)

### Delete a Content Scanning custom expression from a zone.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/content_scanning"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.ContentScanning.Payloads.Delete(
    context.TODO(),
    "a350a054caa840c9becd89c3b4f0195b",
    content_scanning.PayloadDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
```